#include <windows.h>
#include "exports.h"
#include "cwhelp.h"
#include "cwhelpid.h"


HelpNameInfo msvc_mfc_calls[] = {
	"_AFXAPPDATAINIT",	0,
	"_AFXAPPDATATERM",	0,
	"_AFXCALLWNDPROC",	0,
	"_AFXCANCELMODES",	0,
	"_AFXCBTFILTERHOOK",	0,
	"_AFXCHECKDIALOGTEMPLATE",	0,
	"_AFXCOMMDLGPROC",	0,
	"_AFXCONVERTFONTSIZETOTWIPSPROC",	0,
	"_AFXCONVERTTWIPSTOFONTSIZEPROC",	0,
	"_AFXDEFAULTALLOCHOOK",	0,
	"_AFXDLGPROC",	0,
	"_AFXDUMP",	0,
	"_AFXEXITDELETE",	0,
	"_AFXFINDMESSAGEENTRY",	0,
	"_AFXFULLPATH",	0,
	"_AFXGETDLGCTRLID",	0,
	"_AFXGETHOOKHANDLE",	0,
	"_AFXGETSAFEOWNER",	0,
	"_AFXGRAYBACKGROUNDWNDPROC",	0,
	"_AFXHELPENABLED",	0,
	"_AFXHOOKWINDOWCREATE",	0,
	"_AFXISCOMBOBOXCONTROL",	0,
	"_AFXISSTACKOK",	0,
	"_AFXLOADSTRING",	0,
	"_AFXLOCALALLOC",	0,
	"_AFXLOCALFREE",	0,
	"_AFXLOCALLOCK",	0,
	"_AFXLOCALUNLOCK",	0,
	"_AFXMSGFILTERHOOK",	0,
	"_AFXOLECLIIMPL",	0,
	"_AFXOLESTREAMIMPL",	0,
	"_AFXOLESVRDOCIMPL",	0,
	"_AFXOLESVRITEMIMPL",	0,
	"_AFXPREVIEWCLOSEPROC",	0,
	"_AFXREPOSITIONWINDOW",	0,
	"_AFXSENDMSGHOOK",	0,
	"_AFXSETDLGCTRLID",	0,
	"_AFXSETNEWHANDLER",	0,
	"_AFXSMARTSETWINDOWTEXT",	0,
	"_AFXSTRCPY",	0,
	"_AFXSVRIMPL",	0,
	"_AFXTESTALLOCSTOP",	0,
	"_AFXTRACEMSG",	0,
	"_AFXUNHOOKWINDOWCREATE",	0,
	"_COLESTREAM",	0,
	"_FFREE",	0,
	"_FMALLOC",	0,
	"_FORCELINKAGE",	0,
	"_FREALLOC",	0,
	"_GETBUTTONPTR",	0,
	"_GETBUTTONSTYLE",	0,
	"_GETPANEPTR",	0,
	"_GETPANESTYLE",	0,
	"_OLESTREAM",	0,
	"_SETBUTTONSTYLE",	0,
	"_SETENVP",	0,
	"_SETPANESTYLE",	0,
	"_WEP",	0,
	"ABORT",	0,
	"ABORTDOC",	0,
	"ACTIVATE",	0,
	"ACTIVATEFRAME",	0,
	"ACTIVATENEXT",	0,
	"ADDDOCTEMPLATE",	0,
	"ADDDOCUMENT",	0,
	"ADDHEAD",	0,
	"ADDITEM",	0,
	"ADDTAIL",	0,
	"ADDTORECENTFILELIST",	0,
	"ADDVIEW",	0,
	"ADJUSTCP",	0,
	"AFX_CLASSINIT",	0,
	"AFX_COMPARE_PROC",	0,
	"AFX_EXCEPTION_LINK",	0,
	"AFX_EXITDUMP",	0,
	"AFX_FRSTATE",	0,
	"AFX_MSG_CACHE",	0,
	"AFX_OCSTATE",	0,
	"AFX_STATUSPANE",	0,
	"AFX_TBBUTTON",	0,
	"AFX_VBSTATE",	0,
	"AFXABORT",	0,
	"AFXAPPABORT",	0,
	"AFXAPPALLOC",	0,
	"AFXAPPFREE",	0,
	"AFXAPPREALLOC",	0,
	"AFXAPPSETNEWHANDLER",	0,
	"AFXASSERTFAILEDLINE",	0,
	"AFXASSERTVALIDOBJECT",	0,
	"AFXCATCHPROC",	0,
	"AFXCHECKMEMORY",	0,
	"AFXCRITICALNEWHANDLER",	0,
	"AFXDIAGNOSTICINIT",	0,
	"AFXDOFORALLCLASSES",	0,
	"AFXDOFORALLOBJECTS",	0,
	"AFXDUMP",	0,
	"AFXENABLEMEMORYTRACKING",	0,
	"AFXENABLEWIN30COMPATIBILITY",	0,
	"AFXENDCATCHPROC",	0,
	"AFXEXTRACTSUBSTRING",	0,
	"AFXFINDRESOURCEHANDLE",	0,
	"AFXFORMATSTRING1",	0,
	"AFXFORMATSTRING2",	0,
	"AFXFORMATSTRINGS",	0,
	"AFXINITEXTENSIONMODULE",	0,
	"AFXISMEMORYBLOCK",	0,
	"AFXISVALIDADDRESS",	0,
	"AFXISVALIDSTRING",	0,
	"AFXLOADSYSCOLORBITMAP",	0,
	"AFXMESSAGEBOX",	0,
	"AFXNEWHANDLER",	0,
	"AFXOLEINSERTDIALOG",	0,
	"AFXOLELINKSDIALOG",	0,
	"AFXOLEREGISTERSERVERNAME",	0,
	"AFXOLESETEDITMENU",	0,
	"AFXREGISTERWNDCLASS",	0,
	"AFXSETALLOCHOOK",	0,
	"AFXSETALLOCSTOP",	0,
	"AFXSETTERMINATE",	0,
	"AFXSTOP",	0,
	"AFXTERMINATE",	0,
	"AFXTHROWARCHIVEEXCEPTION",	0,
	"AFXTHROWFILEEXCEPTION",	0,
	"AFXTHROWOLEEXCEPTION",	0,
	"AFXTRACE",	0,
	"AFXTRACEV",	0,
	"AFXWININIT",	0,
	"AFXWINTERM",	0,
	"AFXWNDPROC",	0,
	"ALLOC",	0,
	"ALLOCBUFFER",	0,
	"ALLOCCOPY",	0,
	"ALLOCELEMENTS",	0,
	"ANSITOOEM",	0,
	"ASSERTVALID",	0,
	"ASSIGNCOPY",	0,
	"ATTACH",	0,
	"ATTACHONSETUP",	0,
	"AUTOLOAD",	0,
	"AUX_DATA",	0,
	"BEGIN_MESSAGE_MAP",	0,
	"BEGINREVOKE",	0,
	"BEGINWAITCURSOR",	0,
	"CALCINSIDERECT",	0,
	"CALCPAGEDISPLAYSIZE",	0,
	"CALCSCALERATIO",	0,
	"CALCWINDOWRECT",	0,
	"CANACTIVATENEXT",	0,
	"CANCLOSEFRAME",	0,
	"CANPASTE",	0,
	"CANPASTELINK",	0,
	"CARCHIVE",	0,
	"CBEDIT",	0,
	"CBLOCKHEADER",	0,
	"CBRUSH",	0,
	"CBUTTON",	0,
	"CBYTEARRAY",	0,
	"CCLIENTDC",	0,
	"CCMDUI",	0,
	"CCOLORDIALOG",	0,
	"CCOMBOBOX",	0,
	"CCONTROLBAR",	0,
	"CDATAEXCHANGE",	0,
	"CDC",	0,
	"CDIALOG",	0,
	"CDIALOGBAR",	0,
	"CDOCITEM",	0,
	"CDOCTEMPLATE",	0,
	"CDOCUMENT",	0,
	"CDUMPCONTEXT",	0,
	"CDWORDARRAY",	0,
	"CDYNLINKLIBRARY",	0,
	"CEDIT",	0,
	"CEDITVIEW",	0,
	"CENTERONPOINT",	0,
	"CENTERWINDOW",	0,
	"CFILE",	0,
	"CFORMVIEW",	0,
	"CGDIOBJECT",	0,
	"CHANDLEMAP",	0,
	"CHECKASYNC",	0,
	"CHECKCREATE",	0,
	"CHECKGENERAL",	0,
	"CHECKPOINT",	0,
	"CHEDIT",	0,
	"CLEANUP",	0,
	"CLIENT_CALLBACK",	0,
	"CLIENTCALLBACK",	0,
	"CLIPTOPAGE",	0,
	"CLISTBOX",	0,
	"CLOSE",	0,
	"CLOSECHANNEL",	0,
	"CLOSELINK",	0,
	"CMAPPTRTOPTR",	0,
	"CMAPPTRTOWORD",	0,
	"CMAPSTRINGTOOB",	0,
	"CMAPSTRINGTOPTR",	0,
	"CMAPSTRINGTOSTRING",	0,
	"CMAPWORDTOOB",	0,
	"CMAPWORDTOPTR",	0,
	"CMEMFILE",	0,
	"CMEMORYSTATE",	0,
	"CMENU",	0,
	"CMETAFILEDC",	0,
	"CMULTIDOCTEMPLATE",	0,
	"COBARRAY",	0,
	"COBLIST",	0,
	"COLECLIENTDOC",	0,
	"COLECLIENTITEM",	0,
	"COLEDOCUMENT",	0,
	"COLESERVER",	0,
	"COLESERVERDOC",	0,
	"COLESERVERITEM",	0,
	"COLETEMPLATESERVER",	0,
	"COMMANDTOINDEX",	0,
	"COMMDLGPROC",	0,
	"COMPAREITEM",	0,
	"COMPUTEDELTAS",	0,
	"CONSTRUCTOBJECT",	0,
	"CONVERTFONTSIZETOTWIPS",	0,
	"CONVERTTWIPSTOFONTSIZE",	0,
	"COPYTOCLIPBOARD",	0,
	"CPAINTDC",	0,
	"CPLEX",	0,
	"CPREVIEWDC",	0,
	"CPREVIEWVIEW",	0,
	"CPRINTDIALOG",	0,
	"CPRINTINFO",	0,
	"CPRINTPREVIEWSTATE",	0,
	"CPTRARRAY",	0,
	"CPTRLIST",	0,
	"CREATE",	0,
	"CREATECLIENT",	0,
	"CREATECLONEFROM",	0,
	"CREATECOMMON",	0,
	"CREATEEX",	0,
	"CREATEFROMCLIPBOARD",	0,
	"CREATEFROMTEMPLATEFILE",	0,
	"CREATEINDIRECT",	0,
	"CREATEINVISIBLEOBJECT",	0,
	"CREATELINKFROMCLIPBOARD",	0,
	"CREATEMASK",	0,
	"CREATENEWDOCUMENT",	0,
	"CREATENEWFRAME",	0,
	"CREATENEWOBJECT",	0,
	"CREATEOBJECT",	0,
	"CREATEPRINTERDC",	0,
	"CREATESCROLLBARCTRL",	0,
	"CREATESTATIC",	0,
	"CREATESTATICFROMCLIPBOARD",	0,
	"CREATEVIEW",	0,
	"CSCROLLBAR",	0,
	"CSCROLLVIEW",	0,
	"CSHAREDFILE",	0,
	"CSINGLEDOCTEMPLATE",	0,
	"CSPLITTERWND",	0,
	"CSTATIC",	0,
	"CSTATUSBAR",	0,
	"CSTDIOFILE",	0,
	"CSTRING",	0,
	"CSTRINGARRAY",	0,
	"CSTRINGLIST",	0,
	"CTIME",	0,
	"CTOOLBAR",	0,
	"CUINTARRAY",	0,
	"CVBCONTROL",	0,
	"CVIEW",	0,
	"CWINAPP",	0,
	"CWINDOWDC",	0,
	"CWND",	0,
	"CWORDARRAY",	0,
	"DDV_MAXCHARS",	0,
	"DDV_MINMAXDOUBLE",	0,
	"DDV_MINMAXDWORD",	0,
	"DDV_MINMAXFLOAT",	0,
	"DDV_MINMAXINT",	0,
	"DDV_MINMAXLONG",	0,
	"DDV_MINMAXUINT",	0,
	"DDX_CBINDEX",	0,
	"DDX_CBSTRING",	0,
	"DDX_CBSTRINGEXACT",	0,
	"DDX_CHECK",	0,
	"DDX_CONTROL",	0,
	"DDX_LBINDEX",	0,
	"DDX_LBSTRING",	0,
	"DDX_LBSTRINGEXACT",	0,
	"DDX_RADIO",	0,
	"DDX_TEXT",	0,
	"DDX_VBBOOL",	0,
	"DDX_VBBOOLRO",	0,
	"DDX_VBCOLOR",	0,
	"DDX_VBCOLORRO",	0,
	"DDX_VBCONTROL",	0,
	"DDX_VBFLOAT",	0,
	"DDX_VBFLOATRO",	0,
	"DDX_VBINT",	0,
	"DDX_VBINTRO",	0,
	"DDX_VBLONG",	0,
	"DDX_VBLONGRO",	0,
	"DDX_VBTEXT",	0,
	"DDX_VBTEXTRO",	0,
	"DEFAULT",	0,
	"DEFWINDOWPROC",	0,
	"DELETE",	0,
	"DELETE_SELECTED",	0,
	"DELETECOLUMN",	0,
	"DELETECONTENTS",	0,
	"DELETEDC",	0,
	"DELETEITEM",	0,
	"DELETEOBJECT",	0,
	"DELETEROW",	0,
	"DELETETEMP",	0,
	"DELETETEMPMAP",	0,
	"DELETEVIEW",	0,
	"DESTROYMENU",	0,
	"DESTROYWINDOW",	0,
	"DETACH",	0,
	"DIFFERENCE",	0,
	"DO",	0,
	"DOKEYBOARDSPLIT",	0,
	"DOMESSAGEBOX",	0,
	"DOMODAL",	0,
	"DOPAINT",	0,
	"DOPREPAREPRINTING",	0,
	"DOPRINTDIALOG",	0,
	"DOPRINTPREVIEW",	0,
	"DOPROMPTFILENAME",	0,
	"DOS3CALL",	0,
	"DOSAVE",	0,
	"DOUPDATE",	0,
	"DOVERB",	0,
	"DOWAITCURSOR",	0,
	"DOZOOM",	0,
	"DRAW",	0,
	"DRAWALLSPLITBARS",	0,
	"DRAWBUTTON",	0,
	"DRAWITEM",	0,
	"DRAWSTATUSTEXT",	0,
	"DRAWTEXT",	0,
	"DUMP",	0,
	"DUMPALLOBJECTSSINCE",	0,
	"DUMPSTATISTICS",	0,
	"DUPLICATE",	0,
	"EDIT",	0,
	"EMPTY",	0,
	"ENABLE",	0,
	"ENABLEMEMORYTRACKING",	0,
	"ENABLESCROLLBARCTRL",	0,
	"ENABLESHELLOPEN",	0,
	"ENABLEVBXFLOAT",	0,
	"END_EACH_SELECTED_ITEM",	0,
	"ENDDOC",	0,
	"ENDDRAWBUTTON",	0,
	"ENDPAGE",	0,
	"ENDWAITCURSOR",	0,
	"ENUMFORMATS",	0,
	"ERRNOTOEXCEPTION",	0,
	"ESCAPE",	0,
	"EXCLUDECLIPRECT",	0,
	"EXECUTE",	0,
	"EXECUTEDLGINIT",	0,
	"EXIT",	0,
	"EXITINSTANCE",	0,
	"EXTTEXTOUT",	0,
	"FAIL",	0,
	"FILLBUFFER",	0,
	"FILLOUTSIDERECT",	0,
	"FIND",	0,
	"FINDINDEX",	0,
	"FINDPAGERECT",	0,
	"FINDTEXT",	0,
	"FLUSH",	0,
	"FOR_EACH_SELECTED_ITEM",	0,
	"FORMAT",	0,
	"FORMATGMT",	0,
	"FREE",	0,
	"FREEASSOC",	0,
	"FREEDATACHAIN",	0,
	"FREEEXTRA",	0,
	"FREENODE",	0,
	"FREEZELINK",	0,
	"FROMHANDLE",	0,
	"FROMHANDLEPERMANENT",	0,
	"FROMLP",	0,
	"GET",	0,
	"GETACTIVEDOCUMENT",	0,
	"GETACTIVEVIEW",	0,
	"GETASSOCAT",	0,
	"GETBOUNDS",	0,
	"GETBUFFERLENGTH",	0,
	"GETBUTTONINFO",	0,
	"GETCHANNEL",	0,
	"GETCHECKEDRADIOBUTTON",	0,
	"GETCLIPBOX",	0,
	"GETCOLUMNINFO",	0,
	"GETCOPIES",	0,
	"GETCURRENTMESSAGE",	0,
	"GETCURRENTTIME",	0,
	"GETDATA",	0,
	"GETDESCENDANTWINDOW",	0,
	"GETDEVICESCROLLPOSITION",	0,
	"GETDEVICESCROLLSIZES",	0,
	"GETDOCSTRING",	0,
	"GETFILENAME",	0,
	"GETFIRSTDOCPOSITION",	0,
	"GETFIRSTVIEWPOSITION",	0,
	"GETFLOATPROPERTY",	0,
	"GETGMTTM",	0,
	"GETHITRECT",	0,
	"GETICONWNDCLASS",	0,
	"GETINSIDERECT",	0,
	"GETITEMID",	0,
	"GETITEMRECT",	0,
	"GETLENGTH",	0,
	"GETLINKFORMATDATA",	0,
	"GETLINKUPDATEOPTIONS",	0,
	"GETLOCALTM",	0,
	"GETMDIFRAME",	0,
	"GETMESSAGEBAR",	0,
	"GETMESSAGEMAP",	0,
	"GETMETAFILEDATA",	0,
	"GETNAME",	0,
	"GETNATIVEDATA",	0,
	"GETNEXTDOC",	0,
	"GETNEXTITEM",	0,
	"GETNEXTVIEW",	0,
	"GETNOTIFIER",	0,
	"GETOBJECT",	0,
	"GETOPENDOCUMENTCOUNT",	0,
	"GETPANE",	0,
	"GETPANEINFO",	0,
	"GETPANETEXT",	0,
	"GETPARENTFRAME",	0,
	"GETPOSITION",	0,
	"GETPRIMARYSELECTEDITEM",	0,
	"GETPRINTERDC",	0,
	"GETPRINTERDEVICEDEFAULTS",	0,
	"GETPRINTERFONT",	0,
	"GETPROFILEINT",	0,
	"GETPROFILESTRING",	0,
	"GETROUTINGVIEW",	0,
	"GETROWINFO",	0,
	"GETRUNTIMECLASS",	0,
	"GETSCROLLBARCTRL",	0,
	"GETSCROLLPOS",	0,
	"GETSCROLLPOSITION",	0,
	"GETSCROLLRANGE",	0,
	"GETSELECTEDTEXT",	0,
	"GETSIZE",	0,
	"GETSTARTPOSITION",	0,
	"GETSTATUS",	0,
	"GETSUPERWNDPROCADDR",	0,
	"GETTRUECLIENTSIZE",	0,
	"GETTYPE",	0,
	"GETWINDOWMENUPOPUP",	0,
	"GRAYCTLCOLOR",	0,
	"GRAYSTRING",	0,
	"GROWFILE",	0,
	"HASHKEY",	0,
	"HEXDUMP",	0,
	"HITTEST",	0,
	"IDFROMROWCOL",	0,
	"IMPLEMENT_DYNAMIC",	0,
	"IMPLEMENT_DYNCREATE",	0,
	"IMPLEMENT_SERIAL",	0,
	"INIT",	0,
	"INITAPPLICATION",	0,
	"INITHASHTABLE",	0,
	"INITIALIZEREPLACE",	0,
	"INITIALUPDATEFRAME",	0,
	"INITINSTANCE",	0,
	"INITMODALINDIRECT",	0,
	"INSERTAFTER",	0,
	"INSERTAT",	0,
	"INSERTBEFORE",	0,
	"INTERSECTCLIPRECT",	0,
	"INVALIDATEBUTTON",	0,
	"INWAITFORRELEASE",	0,
	"ISCHILDPANE",	0,
	"ISEQUAL",	0,
	"ISKINDOF",	0,
	"ISOPEN",	0,
	"ISSELECTED",	0,
	"ISSERIALIZABLE",	0,
	"ISTRACKING",	0,
	"LIBMAIN",	0,
	"LINETO",	0,
	"LINKOPTIONSINFO",	0,
	"LOAD",	0,
	"LOADACCELTABLE",	0,
	"LOADBITMAP",	0,
	"LOADFRAME",	0,
	"LOADSTDPROFILESETTINGS",	0,
	"LOADSTRING",	0,
	"LOCKBUFFER",	0,
	"LOCKRANGE",	0,
	"LONGJMP",	0,
	"LOOKUP",	0,
	"LPCDLGTEMPLATE",	0,
	"MAKESTRING",	0,
	"MAPTYPE",	0,
	"MATCHDOCTYPE",	0,
	"MDIGETACTIVE",	0,
	"MEASUREITEM",	0,
	"MEMCPY",	0,
	"MESSAGEBOX",	0,
	"MIRRORATTRIBUTES",	0,
	"MIRRORFONT",	0,
	"MIRRORMAPPINGMODE",	0,
	"MIRRORVIEWPORTORG",	0,
	"MOVETO",	0,
	"NEW",	0,
	"NEWASSOC",	0,
	"NEWNODE",	0,
	"NOTIFYALLCLIENTS",	0,
	"NOTIFYCLIENT",	0,
	"NOTIFYRENAME",	0,
	"NOTIFYREVERT",	0,
	"NOTIFYSAVED",	0,
	"OEMTOANSI",	0,
	"OFFSETCLIPRGN",	0,
	"OFFSETVIEWPORTORG",	0,
	"OFFSETWINDOWORG",	0,
	"OLE_TRACE0",	0,
	"OLE_TRACE1",	0,
	"OLE_TRACE2",	0,
	"ONACTIVATE",	0,
	"ONACTIVATEAPP",	0,
	"ONACTIVATEVIEW",	0,
	"ONAUTO",	0,
	"ONBARCHECK",	0,
	"ONBEGINPRINTING",	0,
	"ONCANCEL",	0,
	"ONCANCELMODE",	0,
	"ONCHANGE",	0,
	"ONCHANGEDVIEWLIST",	0,
	"ONCHILDNOTIFY",	0,
	"ONCLOSE",	0,
	"ONCLOSEDOCUMENT",	0,
	"ONCMDMSG",	0,
	"ONCOLOROK",	0,
	"ONCOMMAND",	0,
	"ONCOMMANDHELP",	0,
	"ONCOMPAREITEM",	0,
	"ONCONTEXTHELP",	0,
	"ONCREATE",	0,
	"ONCREATECLIENT",	0,
	"ONCREATEDOC",	0,
	"ONCREATEDOCFROMTEMPLATEFILE",	0,
	"ONCREATEHELPER",	0,
	"ONCTLCOLOR",	0,
	"ONDDECOMMAND",	0,
	"ONDDEEXECUTE",	0,
	"ONDDEINITIATE",	0,
	"ONDDETERMINATE",	0,
	"ONDELETEITEM",	0,
	"ONDESTROY",	0,
	"ONDISPLAYPAGENUMBER",	0,
	"ONDOVERB",	0,
	"ONDRAW",	0,
	"ONDRAWITEM",	0,
	"ONDRAWSPLITTER",	0,
	"ONDROPFILES",	0,
	"ONEDITCHANGE",	0,
	"ONEDITCLEAR",	0,
	"ONEDITCOPY",	0,
	"ONEDITCUT",	0,
	"ONEDITDOC",	0,
	"ONEDITFIND",	0,
	"ONEDITFINDREPLACE",	0,
	"ONEDITLINKS",	0,
	"ONEDITPASTE",	0,
	"ONEDITREPEAT",	0,
	"ONEDITREPLACE",	0,
	"ONEDITSELECTALL",	0,
	"ONEDITUNDO",	0,
	"ONENDPRINTING",	0,
	"ONENDPRINTPREVIEW",	0,
	"ONENTERIDLE",	0,
	"ONENUMFORMATS",	0,
	"ONERASEBKGND",	0,
	"ONEXECUTE",	0,
	"ONEXIT",	0,
	"ONEXTRAVERB",	0,
	"ONFILECLOSE",	0,
	"ONFILENAMEOK",	0,
	"ONFILENEW",	0,
	"ONFILEOPEN",	0,
	"ONFILEPRINT",	0,
	"ONFILEPRINTPREVIEW",	0,
	"ONFILEPRINTSETUP",	0,
	"ONFILESAVE",	0,
	"ONFILESAVEAS",	0,
	"ONFILESAVEORUPDATE",	0,
	"ONFINDNEXT",	0,
	"ONFINDREPLACECMD",	0,
	"ONFREEZE",	0,
	"ONGETDATA",	0,
	"ONGETFONT",	0,
	"ONGETLINKEDITEM",	0,
	"ONGETTEXT",	0,
	"ONGETTEXTDATA",	0,
	"ONGETTEXTLENGTH",	0,
	"ONHELP",	0,
	"ONHELPHITTEST",	0,
	"ONHELPINDEX",	0,
	"ONHELPUSING",	0,
	"ONHSCROLL",	0,
	"ONIDLE",	0,
	"ONIDLEUPDATECMDUI",	0,
	"ONINITDIALOG",	0,
	"ONINITIALUPDATE",	0,
	"ONINITMENUPOPUP",	0,
	"ONINVERTTRACKER",	0,
	"ONKEYDOWN",	0,
	"ONLBSELCHANGEDNOTIFY",	0,
	"ONLBUTTONDBLCLK",	0,
	"ONLBUTTONDOWN",	0,
	"ONLBUTTONUP",	0,
	"ONMANUAL",	0,
	"ONMDIACTIVATE",	0,
	"ONMDIWINDOWCMD",	0,
	"ONMEASUREITEM",	0,
	"ONMENUSELECT",	0,
	"ONMOUSEACTIVATE",	0,
	"ONMOUSEMOVE",	0,
	"ONNCDESTROY",	0,
	"ONNEWDOCUMENT",	0,
	"ONNEXTPAGE",	0,
	"ONNEXTPANECMD",	0,
	"ONNUMPAGECHANGE",	0,
	"ONOK",	0,
	"ONOPENDOC",	0,
	"ONOPENDOCUMENT",	0,
	"ONOPENRECENTFILE",	0,
	"ONPAINT",	0,
	"ONPARENTNOTIFY",	0,
	"ONPREPAREDC",	0,
	"ONPREPAREPRINTING",	0,
	"ONPREVIEWCLOSE",	0,
	"ONPREVIEWPRINT",	0,
	"ONPREVPAGE",	0,
	"ONPRINT",	0,
	"ONPRINTSETUP",	0,
	"ONQUERYENDSESSION",	0,
	"ONQUERYPROTOCOL",	0,
	"ONRELEASE",	0,
	"ONRENAMED",	0,
	"ONREPLACEALL",	0,
	"ONREPLACESEL",	0,
	"ONSAVE",	0,
	"ONSAVEDOCUMENT",	0,
	"ONSCROLL",	0,
	"ONSELECTIONCHANGE",	0,
	"ONSETBOUNDS",	0,
	"ONSETCOLORSCHEME",	0,
	"ONSETCURSOR",	0,
	"ONSETDATA",	0,
	"ONSETDOCDIMENSIONS",	0,
	"ONSETFOCUS",	0,
	"ONSETFONT",	0,
	"ONSETHOSTNAMES",	0,
	"ONSETMESSAGESTRING",	0,
	"ONSETPREVIEWMODE",	0,
	"ONSETTARGETDEVICE",	0,
	"ONSETTEXT",	0,
	"ONSHAREVIOLATION",	0,
	"ONSHOW",	0,
	"ONSIZE",	0,
	"ONSIZEPARENT",	0,
	"ONSPLITCMD",	0,
	"ONSYSCOLORCHANGE",	0,
	"ONSYSCOMMAND",	0,
	"ONTEXTNOTFOUND",	0,
	"ONUPDATE",	0,
	"ONUPDATECMDUI",	0,
	"ONUPDATECONTROLBARMENU",	0,
	"ONUPDATEDOCUMENT",	0,
	"ONUPDATEEDITLINKSMENU",	0,
	"ONUPDATEEDITUNDO",	0,
	"ONUPDATEFILESAVEMENU",	0,
	"ONUPDATEFRAMETITLE",	0,
	"ONUPDATEKEYINDICATOR",	0,
	"ONUPDATEMDIWINDOWCMD",	0,
	"ONUPDATENEEDCLIP",	0,
	"ONUPDATENEEDFIND",	0,
	"ONUPDATENEEDSEL",	0,
	"ONUPDATENEEDTEXT",	0,
	"ONUPDATENEXTPAGE",	0,
	"ONUPDATENEXTPANEMENU",	0,
	"ONUPDATENUMPAGECHANGE",	0,
	"ONUPDATEOBJECTVERBMENU",	0,
	"ONUPDATEPASTELINKMENU",	0,
	"ONUPDATEPREVPAGE",	0,
	"ONUPDATERECENTFILEMENU",	0,
	"ONUPDATESPLITCMD",	0,
	"ONUPDATEZOOMIN",	0,
	"ONUPDATEZOOMOUT",	0,
	"ONVBXEVENT",	0,
	"ONVERB1",	0,
	"ONVERB2",	0,
	"ONVSCROLL",	0,
	"ONWINDOWNEW",	0,
	"ONZOOMIN",	0,
	"ONZOOMOUT",	0,
	"OPEN",	0,
	"OPENCHANNEL",	0,
	"OPENDOCUMENTFILE",	0,
	"OSERRORTOEXCEPTION",	0,
	"OUTPUTSTRING",	0,
	"PAGINATETO",	0,
	"PARSEWINDOWTEXT",	0,
	"POSITIONPAGE",	0,
	"POSTNCDESTROY",	0,
	"PRECREATEWINDOW",	0,
	"PREPARECTRL",	0,
	"PREPAREDRAWBUTTON",	0,
	"PREPAREEDITCTRL",	0,
	"PREPAREVBCTRL",	0,
	"PRETRANSLATEMESSAGE",	0,
	"PRINTERDPTOSCREENDP",	0,
	"PRINTINSIDERECT",	0,
	"PROCESS",	0,
	"PROCESSHELPMSG",	0,
	"PROCESSMESSAGEFILTER",	0,
	"PROCESSWNDPROCEXCEPTION",	0,
	"PTVISIBLE",	0,
	"PUMPMESSAGE",	0,
	"PUT",	0,
	"QUERYPROTOCOL",	0,
	"READ",	0,
	"READFROMARCHIVE",	0,
	"READHUGE",	0,
	"READOBJECT",	0,
	"READSTRING",	0,
	"REALLOC",	0,
	"RECALCLAYOUT",	0,
	"RECONNECTLINK",	0,
	"RECTDEFAULT",	0,
	"RECTVISIBLE",	0,
	"REGISTER",	0,
	"REGISTERCLIENTDOC",	0,
	"REGISTERIFSERVERATTACHED",	0,
	"REGISTERSERVERDOC",	0,
	"REGISTERSHELLFILETYPES",	0,
	"RELEASE",	0,
	"RELEASEATTRIBDC",	0,
	"RELEASEOUTPUTDC",	0,
	"REMOVE",	0,
	"REMOVEALL",	0,
	"REMOVEAT",	0,
	"REMOVEDOCUMENT",	0,
	"REMOVEHANDLE",	0,
	"REMOVEHEAD",	0,
	"REMOVEITEM",	0,
	"REMOVETAIL",	0,
	"REMOVEVIEW",	0,
	"RENAME",	0,
	"REPORTOLEERROR",	0,
	"REPORTSAVELOADEXCEPTION",	0,
	"REPOSITIONBARS",	0,
	"REQUESTDATA",	0,
	"RESIZEPARENTTOFIT",	0,
	"RESTOREDC",	0,
	"RESTOREWAITCURSOR",	0,
	"REVOKE",	0,
	"RGB_TO_BGR",	0,
	"RUN",	0,
	"RUNEMBEDDED",	0,
	"SAMEASSELECTED",	0,
	"SAVE",	0,
	"SAVEALLMODIFIED",	0,
	"SAVEDC",	0,
	"SAVEMODIFIED",	0,
	"SAVESTDPROFILESETTINGS",	0,
	"SCALEVIEWPORTEXT",	0,
	"SCALEWINDOWEXT",	0,
	"SCROLLTODEVICEPOSITION",	0,
	"SCROLLTOPOSITION",	0,
	"SEEK",	0,
	"SELECTCLIPRGN",	0,
	"SELECTGDIOBJECT",	0,
	"SELECTOBJECT",	0,
	"SELECTPALETTE",	0,
	"SELECTSTOCKOBJECT",	0,
	"SENDCHILDNOTIFYLASTMSG",	0,
	"SENDMESSAGETODESCENDANTS",	0,
	"SERIALIZE",	0,
	"SERIALIZERAW",	0,
	"SETABORTPROC",	0,
	"SETACTIVEVIEW",	0,
	"SETATGROW",	0,
	"SETATTRIBDC",	0,
	"SETBKCOLOR",	0,
	"SETBKMODE",	0,
	"SETBOUNDS",	0,
	"SETBUTTONINFO",	0,
	"SETBUTTONS",	0,
	"SETCHECK",	0,
	"SETCOLORSCHEME",	0,
	"SETCOLUMNINFO",	0,
	"SETCURRENTCOLOR",	0,
	"SETCURRENTHANDLES",	0,
	"SETCURRENTPAGE",	0,
	"SETDATA",	0,
	"SETDIALOGBKCOLOR",	0,
	"SETDOCDIMENSIONS",	0,
	"SETFLOATPROPERTY",	0,
	"SETHANDLE",	0,
	"SETHEIGHT",	0,
	"SETHELPCAPTURE",	0,
	"SETHOSTNAMES",	0,
	"SETINDICATORS",	0,
	"SETLENGTH",	0,
	"SETLINKUPDATEOPTIONS",	0,
	"SETMAPMODE",	0,
	"SETMAPPERFLAGS",	0,
	"SETOUTPUTDC",	0,
	"SETPANEINFO",	0,
	"SETPANETEXT",	0,
	"SETPATHNAME",	0,
	"SETPERMANENT",	0,
	"SETPOLYFILLMODE",	0,
	"SETPRINTERFONT",	0,
	"SETPRINTVIEW",	0,
	"SETRADIO",	0,
	"SETROP2",	0,
	"SETROWINFO",	0,
	"SETSCALEDSIZE",	0,
	"SETSCALERATIO",	0,
	"SETSCALETOFITSIZE",	0,
	"SETSCROLLPOS",	0,
	"SETSCROLLRANGE",	0,
	"SETSCROLLSIZES",	0,
	"SETSIZE",	0,
	"SETSIZES",	0,
	"SETSTATUS",	0,
	"SETSTRETCHBLTMODE",	0,
	"SETTABSTOPS",	0,
	"SETTARGETDEVICE",	0,
	"SETTEXT",	0,
	"SETTEXTALIGN",	0,
	"SETTEXTCHARACTEREXTRA",	0,
	"SETTEXTCOLOR",	0,
	"SETTEXTJUSTIFICATION",	0,
	"SETTITLE",	0,
	"SETTOPLEFTOFFSET",	0,
	"SETVERBBUTTONS",	0,
	"SETVIEWPORTEXT",	0,
	"SETVIEWPORTORG",	0,
	"SETWINDOWEXT",	0,
	"SETWINDOWORG",	0,
	"SETZOOMSTATE",	0,
	"SHOW",	0,
	"SIZETOCONTENT",	0,
	"SPLITCOLUMN",	0,
	"SPLITROW",	0,
	"STARTDOC",	0,
	"STARTPAGE",	0,
	"STARTTRACKING",	0,
	"STOPTRACKING",	0,
	"STORE",	0,
	"SUBCLASSDLGITEM",	0,
	"SUBCLASSWINDOW",	0,
	"TABBEDTEXTOUT",	0,
	"TEXTOUT",	0,
	"THROW",	0,
	"THROWERRNO",	0,
	"THROWLAST",	0,
	"TRACE",	0,
	"TRACKCOLUMNSIZE",	0,
	"TRACKPOPUPMENU",	0,
	"TRACKROWSIZE",	0,
	"UNLOCKBUFFER",	0,
	"UNLOCKRANGE",	0,
	"UPDATE_SELECTED",	0,
	"UPDATEALLVIEWS",	0,
	"UPDATEBARS",	0,
	"UPDATEDATA",	0,
	"UPDATEDIALOGCONTROLS",	0,
	"UPDATEFRAMECOUNTS",	0,
	"UPDATEFRAMETITLEFORDOCUMENT",	0,
	"UPDATELINK",	0,
	"UPDATEPRINTERSELECTION",	0,
	"UPDATESYSCOLORS",	0,
	"WAITFORSERVER",	0,
	"WINDOWPROC",	0,
	"WINHELP",	0,
	"WINMAIN",	0,
	"WNDBOTTOM",	0,
	"WNDNOTOPMOST",	0,
	"WNDTOP",	0,
	"WNDTOPMOST",	0,
	"WRITE",	0,
	"WRITEHUGE",	0,
	"WRITEOBJECT",	0,
	"WRITEPROFILEINT",	0,
	"WRITEPROFILESTRING",	0,
	"WRITESTRING",	0,
	"WRITETOARCHIVE",	0,
NIL
};
