.AUTODEPEND

#		*Translator Definitions*
CC = bcc +CWHELP.CFG
TASM = tasm
TLIB = tlib
TLINK = tlink
CWPATH = ..
# Edit the following line to reflect the location of Borland C++
BORPATH = C:\BORLANDC
LIBPATH = $(BORPATH)\LIB;$(CWPATH)\LIB
INCLUDEPATH = $(BORPATH)\INCLUDE;$(CWPATH)\INCLUDE;$(CWPATH)\STARTUP


#		*Implicit Rules*
.c.obj:
  $(CC) -c {$< }

.cpp.obj:
  $(CC) -c {$< }

#		*List Macros*


EXE_dependencies =  \
 cwdata3.obj \
 cwdata1.obj \
 cwdata2.obj \
 mfcdata.obj \
 cwhelp.obj \
 cwhelp.def \
 ..\lib\cwright.lib \
 ..\lib\startup.lib \
 ..\lib\wstdio.lib

#		*Explicit Rules*
cwhelp.dll: cwhelp.cfg $(EXE_dependencies)
  $(TLINK) /v/x/P-/Twd/L$(LIBPATH) @&&|
c0dl.obj+
cwdata3.obj+
cwdata1.obj+
cwdata2.obj+
mfcdata.obj+
cwhelp.obj
cwhelp.dll
		# no map file
..\lib\cwright.lib+
..\lib\startup.lib+
..\lib\wstdio.lib+
mathwl.lib+
import.lib+
cwl.lib
cwhelp.def
|
   RC cwhelp.dll

#		*Individual File Dependencies*
cwdata3.obj: cwhelp.cfg cwdata3.c 

cwdata1.obj: cwhelp.cfg cwdata1.c 

cwdata2.obj: cwhelp.cfg cwdata2.c 

mfcdata.obj: cwhelp.cfg mfcdata.c 

cwhelp.obj: cwhelp.cfg cwhelp.c 

#		*Compiler Configuration File*
cwhelp.cfg: cwhelp.mak
  copy &&|
-R
-ml!
-2
-v
-WD
-vi-
-weas
-wpre
-I$(INCLUDEPATH)
-L$(LIBPATH)
| cwhelp.cfg


